#ifndef ACCELERATION_H
#define ACCELERATION_H

#include <QWidget>
#include "data_config.h"

namespace Ui {
class Acceleration;
}

class Acceleration : public QWidget {
    Q_OBJECT

  public:
    explicit Acceleration(int slot_no_, int channel_, bool active, QWidget *parent = nullptr);
    ~Acceleration();
    int slot_no;
    int channel;

  private slots:
    void on_pushButton_confirm_clicked();

    void on_pushButton_set_default_clicked();

    void on_pushButton_cancel_clicked();
    void on_checkBox_1x_ampl_toggled(bool checked);
    void on_checkBox_2x_ampl_toggled(bool checked);
    void on_checkBox_rms_toggled(bool checked);
    void on_checkBox_integrate_toggled(bool checked);

  private:
    Ui::Acceleration *ui;

    void Init();
};

#endif // ACCELERATION_H
