#ifndef ACCELERATION_DS_H
#define ACCELERATION_DS_H

// 加速度峰值的量程范围
typedef enum {
    kAccPK20 = 0,  // 0-20 m/s^2 pk
    kAccPK50 = 1,  // 0-50 m/s^2 pk
    kAccPK100 = 2, // 0-100 m/s^2 pk
    kAccPK200 = 3, // 0-200 m/s^2 pk
    kAccPK250 = 4, // 0-250 m/s^2 pk
    kAccPK400 = 5, // 0-400 m/s^2 pk
    kAccPKCustom = 6 // custom
} AccPKFullScaleRange;

// 加速度有效值的量程范围
typedef enum {
    kAccRMS20 = 0, // 0-20 m/s^2 rms
    kAccRMS50 = 1, // 0-50 m/s^2 rms
    kAccRMS100 = 2, // 0-100 m/s^2 rms
    kAccRMS200 = 3, // 0-200 m/s^2 rms
    kAccRMSCustom = 4 // custom
} AccRMSFullScaleRange;

// 速度峰值的量程范围
typedef enum {
    kAccVelPK25 = 0, // 0-25 mm/s pk
    kAccVelPK50 = 1, // 0-50 mm/s pk
    kAccVelPK100 = 2, // 0-100 mm/s pk
    kAccVelCustom = 3 // custom
} AccVelPKFullScaleRange;

typedef enum {
    kAccVelRMS25 = 0, // 0-25 mm/s rms
    kAccVelRMS50 = 1, // 0-50 mm/s rms
    kAccVelRMSCustom = 2 // custom
} AccVelRMSFullScaleRange;

// recorder out
typedef enum {
    kAccRecorderOutNone = 0,
    kAccRecorderOutDirectAmpl = 1,
    kAccRecorderOut1XAmpl = 2,
    kAccRecorderOut2XAmpl = 3,
} AccRecorderOut;

#endif // ACCELERATION_DS_H
