#include "connect.h"
#include "ui_connect.h"
#include <QRegularExpression>
#include <QRegularExpressionValidator>
#include "data_config.h"
#include <QSettings>

Connect::Connect(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Connect)
{
    ui->setupUi(this);

    QRegularExpression ipRegex(R"(^(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}$)");
    QRegularExpressionValidator *ipValidator = new QRegularExpressionValidator(ipRegex, this);
    ui->lineEdit_IP->setValidator(ipValidator);
}

Connect::~Connect()
{
    delete ui;
}

void Connect::on_pushButton_connect_clicked()
{
    g_strServerIp = ui->lineEdit_IP->text();
    m_tcpClient = MyTcpClient::instance();
    // 连接服务器
    m_tcpClient->connectToServer(g_strServerIp, 10000);
    QSettings *settings = new QSettings(QCoreApplication::applicationDirPath() + "/config/config.ini", QSettings::IniFormat);
    settings->setValue("Server/IP", ui->lineEdit_IP->text());

    this->close();
}

