#ifndef KEYPHASE_H
#define KEYPHASE_H
#include <memory>
#include <QDialog>
#include "data_config.h"
#include "keyphase_data.h"
namespace Ui {
class KeyPhase;
}

class KeyPhase : public QDialog {
    Q_OBJECT

  public:
    explicit KeyPhase(int slot_no_,int cardtype, QWidget *parent = nullptr);
    ~KeyPhase();
    int slot_no;
    CardType car_type;
  private slots:
    void on_pushButton_confirm_clicked();
    void on_pushButton_cancel_clicked();
    void on_manual_threshold_1_clicked(bool checked);
    void on_manual_threshold_2_clicked(bool checked);
    void on_manual_threshold_3_clicked(bool checked);
    void on_manual_threshold_4_clicked(bool checked);
    void on_radioButton_manual_threshold_1_clicked();

    void on_radioButton_automatic_threshold_1_clicked();

    void on_radioButton_automatic_threshold_2_clicked();

    void on_radioButton_manual_threshold_2_clicked();

    void on_radioButton_automatic_threshold_3_clicked();

    void on_radioButton_manual_threshold_3_clicked();

    void on_radioButton_automatic_threshold_4_clicked();

    void on_radioButton_manual_threshold_4_clicked();

private:
    Ui::KeyPhase *ui;
    void UpdateData(std::shared_ptr<KeyphaseData> &keyphase_data);
//    TachometerVariables keyphase_variables[4];
//    void readJsonFile(const QString &filePath);
    void Init();
};

#endif // KEYPHASE_H
