#ifndef SEISMIC_MONITOR_H
#define SEISMIC_MONITOR_H

#include <QWidget>
#include "data_config.h"
#include "vibrationdata.h"

namespace Ui {
class Seismic_monitor;
}

class Seismic_monitor : public QWidget {
    Q_OBJECT

  public:
    explicit Seismic_monitor(int slot,int cardtype, QWidget *parent = nullptr);
    ~Seismic_monitor();
    int slot_no;
    int channel;
    CardType car_type;
  private slots:
    void on_pushButton_confirm_clicked();

    void on_pushButton_set_default_clicked();

    void on_pushButton_config_1_clicked();

    void on_pushButton_config_3_clicked();

    void on_pushButton_config_2_clicked();

    void on_pushButton_config_4_clicked();

    void on_comboBox_chan_type_1_currentTextChanged(const QString &arg1);

    void on_comboBox_chan_type_2_currentTextChanged(const QString &arg1);

    void on_comboBox_chan_type_3_currentTextChanged(const QString &arg1);

    void on_comboBox_chan_type_4_currentTextChanged(const QString &arg1);

    void on_pushButton_cancel_clicked();

    void on_comboBox_transducer_name_1_currentTextChanged(const QString &arg1);

    void on_comboBox_transducer_name_2_currentTextChanged(const QString &arg1);

    void on_comboBox_transducer_name_3_currentTextChanged(const QString &arg1);

    void on_comboBox_transducer_name_4_currentTextChanged(const QString &arg1);

  private:
    Ui::Seismic_monitor *ui;
    void UpdateData(std::shared_ptr<VibrationData> vib_data);
    int card_type;
//    void readJsonFile(const QString &filePath);
//    SeismicMonitor seismic_monitor[CHANNLE_COUNT];
    QVector<Transducer> vec_transducer;
    void Init();
    void EnableKeyphase();
    void EnableKeyphase2();
    void EnableKeyphase3();
    void EnableKeyphase4();
    void DisableKeyphase();
    void DisableKeyphase2();
    void DisableKeyphase3();
    void DisableKeyphase4();
};

#endif // SEISMIC_MONITOR_H
