#ifndef SETPOINT_TACHOMETER_H
#define SETPOINT_TACHOMETER_H

#include <QWidget>
#include "data_config.h"
#include "rangeslider.h"
#include "tachometer_data.h"

namespace Ui {
class Setpoint_Tachometer;
}

class Setpoint_Tachometer : public QWidget
{
    Q_OBJECT

public:
    explicit Setpoint_Tachometer(int slot_no_,int cardtype,QWidget *parent = nullptr);
    ~Setpoint_Tachometer();
    int slot_no;
    CardType car_type;
private slots:
    void onComboBoxIndexChanged(int index);
    void on_pushButton_confirm_clicked();

    void on_pushButton_cancel_clicked();

private:
    Ui::Setpoint_Tachometer *ui;
    RangeSlider *slider_alert;
    RangeSlider *slider_danger;
    std::shared_ptr<TachometerData> speed_alert_ptr = nullptr;
    int current_index;
    void Init();
};

#endif // SETPOINT_TACHOMETER_H
