#ifndef SINGLERELAY_H
#define SINGLERELAY_H

#include <QDialog>
#include <QTextEdit>
#include <QButtonGroup>
#include <QPushButton>
#include "data_config.h"
#include "config_mgr.h"
#include "singlerelay_data.h"
#include <QStandardItemModel>   //数据模型类
#include <QTreeView>

namespace Ui {
class SingleRelay;
}
class SingleRelay : public QDialog {
    Q_OBJECT

  public:
    explicit SingleRelay(int slot,int cardtype,QWidget *parent = nullptr);
    ~SingleRelay();
    int slot_no;
    CardType car_type;
  private slots:
    void keyPressEvent(QKeyEvent *event);
    void on_pushButton_cancel_clicked();
    void OnButtonGroup(QAbstractButton *);

    void on_pushButton_confirm_clicked();

    void onComboBoxIndexChanged(int index);
    void slotDeleteItem();

    void on_treeView_Relay_customContextMenuRequested(const QPoint &pos);

private:
    Ui::SingleRelay *ui;
    QButtonGroup * btnGroup_slot = nullptr;
    QListWidget *list_widget_available = nullptr;
    QTreeView *treeView_relay;
    QStandardItemModel     *model_Relay;
    std::shared_ptr<SingleRelayData> relay_data = nullptr;
    int current_index;
    QMap<QString, QString> channelNameMap;

    void Init();
    void buildTreeFromExpression(QTreeView *treeView, const QString &expr);
    ExprNode* parseExpression(const QString& expr, int& pos);
    QStandardItem* buildItemTree(ExprNode* node);
    void setExpressionToTreeView(QTreeView* treeView, const QString& expr);
    QString buildLogicExpression(QStandardItem *item);
    ExprValidationResult validateLogicExpression(const QString& expr);
};

#endif // SINGLERELAY_H
