#ifndef TACHOMETER_H
#define TACHOMETER_H

#include <QDialog>
#include "data_config.h"
#include "config_mgr.h"
#include "tachometer_data.h"
namespace Ui {
class Tachometer;
}

class Tachometer : public QDialog {
    Q_OBJECT

  public:
    explicit Tachometer(int slot_no_,int cardtype, QWidget *parent = nullptr);
    ~Tachometer();
    int slot_no;
    CardType car_type;
  private slots:
    void on_pushButton_confirm_clicked();
    void on_pushButton_cancel_clicked();
    void on_manual_threshold_1_clicked(bool checked);
    void on_manual_threshold_2_clicked(bool checked);
    void on_manual_threshold_3_clicked(bool checked);
    void on_manual_threshold_4_clicked(bool checked);
    void on_radioButton_automatic_threshold_1_clicked();

private:
    Ui::Tachometer *ui;
    void UpdateData(std::shared_ptr<TachometerData> &speed_data);
//    Tachometer_Variables tachometer_variables[4];

//    void readJsonFile(const QString &filePath);
    void Init();
};

#endif // TACHOMETER_H
